<?php

declare(strict_types=1);

namespace PpPhp\Core\Diagnostics;

use PpPhp\Core\Diagnostics\Engine\DiagnosticsEngine;
use PpPhp\Core\Diagnostics\Providers\PlatformDiagnosticsProvider;

final class DiagnosticsKernel
{
    public static function default(): DiagnosticsEngine
    {
        $engine = new DiagnosticsEngine();

        $engine->providers()->register(new PlatformDiagnosticsProvider());

        return $engine;
    }
}
